import defaultRenderEmpty from './renderEmpty';

/**
 * getPrefixCls（）用于生成前缀类名
 * suffixCls是组件的后缀类名，用于生成具体的样式类名。
 * customizePrefixCls是可选的自定义前缀类名，如果提供了自定义前缀类名，则直接返回该自定义前缀类名；否则，会以ant-作为前缀，拼接上suffixCls，生成最终的前缀类名。
 * 
 * renderEmpty:这是一个渲染空状态的函数，其默认值为defaultRenderEmpty。
 */
export var ConfigConsumerProps = {
  getPrefixCls: function getPrefixCls(suffixCls, customizePrefixCls) {
    if (customizePrefixCls) return customizePrefixCls;
    return 'ant-' + suffixCls;
  },
  renderEmpty: defaultRenderEmpty
};